> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List token permissions

> List all permissions assigned to the specified token.



## OpenAPI

````yaml /api-reference/openapi.yml get /user/tokens/{tokenId}/permissions
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /user/tokens/{tokenId}/permissions:
    get:
      tags:
        - user
      summary: List token permissions
      description: List all permissions assigned to the specified token.
      operationId: listTokenPermissions
      parameters:
        - name: tokenId
          in: path
          description: Token ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns the permissions assigned to the token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenPermissionsResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          description: Forbidden. Restricted token cannot get token permissions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    TokenPermissionsResponse:
      required:
        - restricted
      type: object
      properties:
        restricted:
          type: boolean
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/TokenPermissionEntry'
    ErrorResponse:
      required:
        - error_code
        - message
      type: object
      properties:
        error_code:
          type: string
          example: UNAUTHORIZED
        error_message:
          type: string
          example: ''
        message:
          type: string
          example: Missing authentication token
        sub_errors:
          type: array
          items:
            required:
              - code
              - message
            type: object
            properties:
              code:
                type: string
              message:
                type: string
    TokenPermissionEntry:
      required:
        - namespace
        - username
      type: object
      properties:
        username:
          type: string
        namespace:
          type: string
        dataset:
          type: string
  responses:
    Unauthorized:
      description: >-
        Unauthorized. This error occurs if the authentication token is missing
        or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````